import React, { Component } from 'react'
import Routes from './router'
import cookie from 'js-cookie'
import { connect } from "react-redux";
import { setCurrentUser } from "@/store/userAction";
import { withRouter } from 'react-router-dom'
import { compose } from 'redux'


//拦截ajax请求，返回mock数据
/*import mock from '@/utils/mock'
mock()*/


// 默认样式
import './assets/css/index.scss';

// iconfont
import './assets/font/iconfont.css';
import { api, getParam, http, isLogin } from "@/utils";
import { Toast } from "antd-mobile";

class App extends Component {


    componentDidMount() {
        console.log(this.props.history);

        //平台信息
        cookie.set('plat', '5')

        http.get(`${api.home}/m/user_info`).then(res => {
            this.props.setCurrentUser(this.transformUser(res))
        })


        let code = getParam('code')
        let {history, state, location} = this.props


        if (code) {

            http.get(`${api['base-api']}/m/wx_loginInfo/code/${code}`)
                .then(res => {
                    let data = res.data
                    console.log(res)
                    if (data.errno == 200) {
                        if (data.data['is_bind_mobile']) {
                            window.location.assign(data.data.url)

                        } else {
                            console.log(this.props.location)
                        }
                    } else {
                        Toast.info(data.msg)
                    }
                })


        }
        /*else {

            if (isLogin) {
                console.log(location.pathname);
                // history.replace(location.pathname)
            } else {
                console.log(state);
                history.replace('/passport', {...state})

            }
        }*/


    }

    transformUser = res => {
        let payload
        if (res.data.code === 200) {
            const {
                msg, data: {
                    avatar_file: avatar,
                    user_name: username,
                    is_vip: isVIP,
                    uid,
                    code
                }
            } = res.data

            payload = {
                hasError: false,
                msg,
                data: {
                    username,
                    isVIP,
                    avatar,
                    uid,
                    code
                }
            }
        } else {
            payload = {
                hasError: true,
                msg: res.data.msg,
                code: res.data.code,
                data: {}
            }
        }
        return payload
    }

    render() {
        return <Routes/>
    }
}

export default compose(
    connect(
        null,
        {setCurrentUser}
    ),
    withRouter
)(App)