import React, { Component } from 'react';
import { withRouter } from "react-router-dom";
import { api, http, getParam, isLogin } from "@/utils";
import { Toast } from "antd-mobile";


class Loading extends Component {


    async componentDidMount() {

        let code = getParam('code')
        let {history, state, location} = this.props


        if (code) {

            http.get(`${api['base-api']}/m/wx_loginInfo/code/${code}`)
                .then(res => {
                    let data = res.data
                    console.log(res)
                    if(data.errno == 200){
                        if(data.data['is_bind_mobile']){
                            window.location.assign(data.data.url)

                        }else {
                            console.log(this.props.location)
                        }
                    }else {
                        Toast.info(data.msg)
                    }
                })


        } else {

            if (isLogin) {
                console.log(location.pathname);
                // history.replace(location.pathname)
            } else {
                console.log(state);
                history.replace('/passport', {...state})

            }
        }
    }


    render() {
        return (
            <div className={'loading'}>
                loading...
            </div>
        );
    }
}

export default withRouter(Loading)